Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.security
Class CallerIdentityLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.resource.security.AbstractPasswordCredentialLoginModule
              org.jboss.resource.security.CallerIdentityLoginModule

All Implemented Interfaces:
  LoginModule

public class CallerIdentityLoginModule
extends AbstractPasswordCredentialLoginModule

A simple login module that simply associates the principal making the connection request with the actual EIS connection requirements. The type of Principal class used is `org.jboss.security.SimplePrincipal.`

Version:
  $Revision: 1.9.2.2.2.1 $
Author:
  Scott.Stark@jboss.org, David Jencks, Dan Bunker
See Also:
  `ConfiguredIdentityLoginModule`

Field Summary

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`CallerIdentityLoginModule()` Default Constructor

Method Summary
`boolean` | `commit()`
`protected Principal` | `getIdentity()`
`protected Group[]` | `getRoleSets()`
`void` | `initialize(Subject subject, CallbackHandler handler, Map sharedState, Map options)` The initialize method sets up some default connection information for basic connections.
`boolean` | `login()` Performs the login association between the caller and the resource for a 1 to 1 mapping.

Methods inherited from class org.jboss.resource.security.AbstractPasswordCredentialLoginModule
`getMcf, getServer, logout, removeCredentials`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, createGroup, createIdentity, getUnauthenticatedIdentity, getUseFirstPass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallerIdentityLoginModule

    public CallerIdentityLoginModule()

  Default Constructor

Method Detail

### initialize

    public void initialize(Subject subject,
                           CallbackHandler handler,
                           Map sharedState,
                           Map options)

  The initialize method sets up some default connection information for basic connections. This is useful for container initialization connection use or running the application in a non-secure manner. This method is called before the login method.

  Specified by:
    `initialize` in interface `LoginModule`
  Overrides:
    `initialize` in class `AbstractPasswordCredentialLoginModule`
  Parameters:
    `subject` -
    `handler` -
    `sharedState` -
    `options` -

### login

    public boolean login()
                  throws LoginException

  Performs the login association between the caller and the resource for a 1 to 1 mapping. This acts as a login propagation strategy and is useful for single-sign on requirements

  Specified by:
    `login` in interface `LoginModule`
  Overrides:
    `login` in class `AbstractPasswordCredentialLoginModule`
  Returns:
    True if authentication succeeds
  Throws:
    `LoginException`

### commit

    public boolean commit()
                   throws LoginException

  Throws:
    `LoginException`

### getIdentity

    protected Principal getIdentity()

### getRoleSets

    protected Group[] getRoleSets()
                           throws LoginException

  Throws:
    `LoginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.